Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.ui
Class JavaUISourceLocator

    java.lang.Object
      org.eclipse.jdt.debug.ui.JavaUISourceLocator

All Implemented Interfaces:
  IPersistableSourceLocator, ISourceLocator

Deprecated. In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0. The new facilities provide a source lookup director that coordinates source lookup among a set of participants, searching a set of source containers. See the following packages: `org.eclipse.debug.core.sourcelookup` and `org.eclipse.debug.core.sourcelookup.containers`. This class has been replaced by a Java source lookup director and Java source lookup participant. To migrate to the new source lookup support clients should add two new attributes to their launch configuration type extensions:

- sourceLocatorId="org.eclipse.jdt.launching.sourceLocator.JavaSourceLookupDirector"
- sourcePathComputerId="org.eclipse.jdt.launching.sourceLookup.javaSourcePathComputer"

The source locator id attribute specifies to use the Java source lookup director for launch configurations of the associated type, and the source path computer id attribute specifies the class to use when computing a default source lookup path for a launch configuration. The path computer referenced/provided (by the above id), computes a default source lookup path based on the support provided in the 2.0 release - i.e. a configuration's `ATTR_SOURCE_PATH_PROVIDER` attribute (if present), or a default source lookup path based on a configuration's runtime classpath. This class has been replaced by the Java source lookup director which is an internal class, but can be used via the `sourceLocatorId` attribute on a launch configuration type extension.

public class JavaUISourceLocator
extends Object
implements IPersistableSourceLocator

A source locator that prompts the user to find source when source cannot be found on the current source lookup path.

This class is intended to be instantiated. This class is not intended to be subclassed.

Since:
  2.0

Field Summary
`static String` | `ATTR_FIND_ALL_SOURCE_ELEMENTS` Deprecated. Launch configuration attribute indicating that this source locator should locate all source elements that correspond to a stack frame, rather than the first match.
`static String` | `ID_PROMPTING_JAVA_SOURCE_LOCATOR` Deprecated. Identifier for the 'Prompting Java Source Locator' extension (value `"org.eclipse.jdt.debug.ui.javaSourceLocator"`).

Constructor Summary
`JavaUISourceLocator()` Deprecated. Constructs an empty source locator.
`JavaUISourceLocator(IJavaProject project)` Deprecated. Constructs a source locator that searches for source in the given Java project, and all of its required projects, as specified by its build path or default source lookup settings.
`JavaUISourceLocator(IJavaProject[] projects, boolean includeRequired)` Deprecated. Constructs a new source locator that looks in the specified project for source, and required projects, if `includeRequired` is `true`.

Method Summary
`String` | `getMemento()` Deprecated.
`Object` | `getSourceElement(IStackFrame stackFrame)` Deprecated.
`IJavaSourceLocation[]` | `getSourceLocations()` Deprecated.
`void` | `initializeDefaults(ILaunchConfiguration configuration)` Deprecated.
`void` | `initializeFromMemento(String memento)` Deprecated.
`boolean` | `isFindAllSourceElements()` Deprecated. Returns whether this source locator is configured to search for all source elements that correspond to a stack frame.
`void` | `setFindAllSourceElement(boolean findAll)` Deprecated. Sets whether this source locator is configured to search for all source elements that correspond to a stack frame, or the first match.
`void` | `setSourceLocations(IJavaSourceLocation[] locations)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID_PROMPTING_JAVA_SOURCE_LOCATOR

    public static final String ID_PROMPTING_JAVA_SOURCE_LOCATOR

  Deprecated.
  Identifier for the 'Prompting Java Source Locator' extension (value `"org.eclipse.jdt.debug.ui.javaSourceLocator"`).

### ATTR_FIND_ALL_SOURCE_ELEMENTS

    public static final String ATTR_FIND_ALL_SOURCE_ELEMENTS

  Deprecated.
  Launch configuration attribute indicating that this source locator should locate all source elements that correspond to a stack frame, rather than the first match. Default value is `false`.

  Since:
    2.1

Constructor Detail

### JavaUISourceLocator

    public JavaUISourceLocator()

  Deprecated.
  Constructs an empty source locator.

### JavaUISourceLocator

    public JavaUISourceLocator(IJavaProject[] projects,
                               boolean includeRequired)
                        throws JavaModelException

  Deprecated.
  Constructs a new source locator that looks in the specified project for source, and required projects, if `includeRequired` is `true`.

Parameters:
  `projects` - the projects in which to look for source
  `includeRequired` - whether to look in required projects as well

### JavaUISourceLocator

    public JavaUISourceLocator(IJavaProject project)
                        throws CoreException

  Deprecated.
  Constructs a source locator that searches for source in the given Java project, and all of its required projects, as specified by its build path or default source lookup settings.

Parameters:
  `project` - Java project
Throws:
  `CoreException` - if unable to read the project's build path

Method Detail

### getSourceElement

    public Object getSourceElement(IStackFrame stackFrame)

  Deprecated.
  Specified by:
    `getSourceElement` in interface `ISourceLocator`
  See Also:
    `ISourceLocator.getSourceElement(IStackFrame)`

### getMemento

    public String getMemento()
                      throws CoreException

  Deprecated.
  Specified by:
    `getMemento` in interface `IPersistableSourceLocator`
  Throws:
    `CoreException`
  See Also:
    `IPersistableSourceLocator.getMemento()`

### initializeDefaults

    public void initializeDefaults(ILaunchConfiguration configuration)
                            throws CoreException

  Deprecated.
  Specified by:
    `initializeDefaults` in interface `IPersistableSourceLocator`
  Throws:
    `CoreException`
  See Also:
    `IPersistableSourceLocator.initializeDefaults(ILaunchConfiguration)`

### initializeFromMemento

    public void initializeFromMemento(String memento)
                               throws CoreException

  Deprecated.
  Specified by:
    `initializeFromMemento` in interface `IPersistableSourceLocator`
  Throws:
    `CoreException`
  See Also:
    `IPersistableSourceLocator.initializeFromMemento(String)`

### getSourceLocations

    public IJavaSourceLocation[] getSourceLocations()

  Deprecated.
  See Also:
    `JavaSourceLocator.getSourceLocations()`

### setSourceLocations

    public void setSourceLocations(IJavaSourceLocation[] locations)

  Deprecated.
  See Also:
    `JavaSourceLocator.setSourceLocations(IJavaSourceLocation[])`

### isFindAllSourceElements

    public boolean isFindAllSourceElements()

  Deprecated.
  Returns whether this source locator is configured to search for all source elements that correspond to a stack frame. When `false` is returned, searching stops on the first match. If there is more than one source element that corresponds to a stack frame, the user is prompted to choose a source element to open.

  Returns:
    whether this source locator is configured to search for all source elements that correspond to a stack frame
  Since:
    2.1

### setFindAllSourceElement

    public void setFindAllSourceElement(boolean findAll)

  Deprecated.
  Sets whether this source locator is configured to search for all source elements that correspond to a stack frame, or the first match.

  Parameters:
    `findAll` - whether this source locator should search for all source elements that correspond to a stack frame
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.